{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "group": "bed",
  "key": {
    "#": "minecraft:red_wool",
    "X": "#minecraft:planks",
    "A": "minecraft:feather",
    "B": "minecraft:leather"
  },
  "pattern": [
    "AAB",
    "###",
    "XXX"
  ],
  "result": {
    "count": 1,
    "id": "minecraft:red_bed"
  }
}